package src.hw4;
@SuppressWarnings("unchecked")
public class TreeNode implements Comparable {
	TreeNode lchild;
	TreeNode rchild;
	Comparable[] data;

	public TreeNode(Comparable[] data) {
		this.data = data;
	}
	public TreeNode() {}

	public int compareTo(Object other) {
		int otherWeight= ((TreeNode)other).data.length;
		int weight= data.length;
		return weight - otherWeight;
	}

	public int getTotalWeight() {
		int totalweight =0;
		if (lchild != null)
			totalweight += lchild.data.length + lchild.getTotalWeight();
		if (rchild != null) 
			totalweight += rchild.data.length + rchild.getTotalWeight();
		return totalweight;
	}
}	